﻿@using System.Web.UI.WebControls;
@model Portal.Models.PO.POget

<script type="text/javascript">

    function initEditButtonAdd(s, e) {
        var strPickupDate = PickUpDateAdd.GetText();
        var strDateFracs = strPickupDate.split(".");
        var pickupDate = new Date(strDateFracs[2], parseInt(strDateFracs[1], 10) - 1, strDateFracs[0]);
        var today = new Date();
        btnEditAdd.SetEnabled(pickupDate >= today);
    }

    function EditAddAll(s, e) {
        btnEditAdd.SetVisible(false);
        btnSubmitDetailAdd.SetVisible(true);
        btnCancelAdd.SetVisible(true);

        $("#divgrid").show();
        $("#grlLPAdd").show();
        grlLPAdd.SetText(txtLPAdd.GetText());
        $("#txtLPAdd").hide();
    }

    function SubmitAddAll(s, e) {
        if (grlLPAdd.GetText() == "") {
            alert('Logistic Partner is mandatory and can not be empty ');
        }
        else
        {
            btnEditAdd.SetVisible(true);
            btnSubmitDetailAdd.SetVisible(false);
            btnCancelAdd.SetVisible(false);

            var deliveryNo = DeliveryNoAdd.GetText();
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/DCLInquiry/UpdateDCLInquiryHeader")",
                data: {
                    DeliveryNo: deliveryNo,
                    LPCode: grlLPAdd.GetText()
                },
                success: function (result) {
                    alert(result);
                    if (result == "Success Update Data") {
                        txtLPAdd.SetText(grlLPAdd.GetText());
                    }
                },
                error: function (result) {
                    alert("Error when update data");
                }
            });

            $("#divgrid").hide();
            $("#txtLPAdd").show();
        }       
    }

    function CancelAddAll(s, e) {
        btnEditAdd.SetVisible(true);
        btnSubmitDetailAdd.SetVisible(false);
        btnCancelAdd.SetVisible(false);

        $("#txtLPAdd").show();
        $("#divgrid").hide();
    }
</script>


<div id="popDetailHead">
    <div class="hlabel hlatex">
    @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "PO No";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                }).GetHtml()


    </div>
    <div class="hlabel">
 @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "lblPONo";
                    edtSettings.Properties.ClientInstanceName = "lblPONo";
                    edtSettings.Text = Model.PONo;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    edtSettings.Enabled = false;
                }).GetHtml()
    </div>

    <div class="hlabel  hlatex">
  @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "PO Date";
                }).GetHtml()
    </div>
    <div class="hlabel">

     @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PODate3";
                    edtSettings.Properties.ClientInstanceName = "lblPODate";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    edtSettings.Text = Model.PODate.ToString("dd.MM.yyyy");
                    edtSettings.Enabled = false;
                }).GetHtml()

    </div>

    <div class="hlabel  hlatex">
 @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Status PO";
                }).GetHtml()
    </div>
    <div class="hlabel">
        @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "StatusPO";
                    edtSettings.Text = Model.StatusName;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Enabled = false;
                }).GetHtml()
    </div>

    <div class="hlabel  hlatex">
           @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier";
                }).GetHtml()
    </div>
    <div class="hlabel">
         @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "Supplier";
                    edtSettings.Properties.ClientInstanceName = "lblVendor";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    edtSettings.Enabled = false;
                    edtSettings.Text = Model.SupplierName;
                }).GetHtml()
    </div>

    
    <div class="selent hlatex">
          @Html.DevExpress().Label(
            settings =>
            {
                settings.Name = "LabelAmount";
                //settings.Text = "IDR 200,000,000.00";
                settings.Text = "Total Amount : " + Model.CurrencyCode.ToString() + " " + Model.TotalAmount.ToString();
                settings.ControlStyle.Wrap = DefaultBoolean.False;
            }
        ).GetHtml()
    </div>
    <div class="hide">
       @Html.DevExpress().TextBox(
            Settings =>
            {
                Settings.Name = "Otentikasi";
                Settings.Width = 95;
                Settings.Height = 25;
                Settings.ClientVisible = false;
                Settings.Text = Model.SHApprover;
            }).GetHtml()
    </div>
</div>
